Bug 1181202 - (CVE-2020-14409) VUL-0: CVE-2020-14409: SDL2,SDL: Integer Overflow (and resultant SDL_memcpy heap corruption) in SDL_BlitCopy in video/SDL_blit_copy.c via a crafted .BMP
(CVE-2020-14409)
VUL-0: CVE-2020-14409: SDL2,SDL: Integer Overflow (and resultant SDL_memcpy h...
Status: REOPENED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/275843/
CVSSv3.1:SUSE:CVE-2020-14409:7.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-21 08:38 UTC by Alexander Bergmann
Modified: 2022-05-13 21:40 UTC (History)
5 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2021-01-21 08:38:35 UTC
CVE-2020-14409

SDL (Simple DirectMedia Layer) through 2.0.12 has an Integer Overflow (and
resultant SDL_memcpy heap corruption) in SDL_BlitCopy in video/SDL_blit_copy.c
via a crafted .BMP file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-14409
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-14409
https://bugzilla.libsdl.org/show_bug.cgi?id=5200
https://hg.libsdl.org/SDL/rev/3f9b4e92c1d9
Comment 3 Swamp Workflow Management 2022-01-18 14:26:35 UTC
openSUSE-SU-2022:0104-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181201,1181202
CVE References: CVE-2020-14409,CVE-2020-14410
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    SDL2-2.0.8-11.3.1
Comment 4 Swamp Workflow Management 2022-01-18 14:35:53 UTC
SUSE-SU-2022:0104-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181201,1181202
CVE References: CVE-2020-14409,CVE-2020-14410
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    SDL2-2.0.8-11.3.1
SUSE Manager Retail Branch Server 4.1 (src):    SDL2-2.0.8-11.3.1
SUSE Manager Proxy 4.1 (src):    SDL2-2.0.8-11.3.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    SDL2-2.0.8-11.3.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    SDL2-2.0.8-11.3.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    SDL2-2.0.8-11.3.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    SDL2-2.0.8-11.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    SDL2-2.0.8-11.3.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    SDL2-2.0.8-11.3.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    SDL2-2.0.8-11.3.1
SUSE Enterprise Storage 7 (src):    SDL2-2.0.8-11.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-02-14 14:30:41 UTC
openSUSE-SU-2022:0104-2: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181201,1181202
CVE References: CVE-2020-14409,CVE-2020-14410
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    SDL2-2.0.8-11.3.1
Comment 6 Swamp Workflow Management 2022-02-14 14:33:34 UTC
SUSE-SU-2022:0104-2: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181201,1181202
CVE References: CVE-2020-14409,CVE-2020-14410
JIRA References: 
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    SDL2-2.0.8-11.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Marcus Meissner 2022-02-24 09:10:12 UTC
for SDL 1 this was fixed in bug 1124825 already
Comment 8 Marcus Meissner 2022-02-24 14:24:10 UTC
we still miss SUSE:SLE-15:Update SDL2 too
Comment 11 Swamp Workflow Management 2022-03-14 17:19:41 UTC
SUSE-SU-2022:0825-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181201,1181202
CVE References: CVE-2020-14409,CVE-2020-14410
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    SDL2-2.0.8-3.18.1
SUSE Linux Enterprise Server for SAP 15 (src):    SDL2-2.0.8-3.18.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    SDL2-2.0.8-3.18.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    SDL2-2.0.8-3.18.1
SUSE Linux Enterprise Server 15-LTSS (src):    SDL2-2.0.8-3.18.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    SDL2-2.0.8-3.18.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    SDL2-2.0.8-3.18.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    SDL2-2.0.8-3.18.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    SDL2-2.0.8-3.18.1
SUSE Enterprise Storage 6 (src):    SDL2-2.0.8-3.18.1
SUSE CaaS Platform 4.0 (src):    SDL2-2.0.8-3.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2022-04-07 07:20:27 UTC
openSUSE-SU-2022:0104-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1181201,1181202,1197525
CVE References: CVE-2020-14409,CVE-2020-14410,CVE-2022-27227
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    SDL2-2.0.8-11.3.1
openSUSE Backports SLE-15-SP3 (src):    pdns-4.3.1-bp153.2.3.1
Comment 14 Swamp Workflow Management 2022-04-20 10:24:34 UTC
SUSE-SU-2022:1273-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1181201,1181202,1198001
CVE References: CVE-2020-14409,CVE-2020-14410,CVE-2021-33657
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    SDL-1.2.15-150000.3.19.1
openSUSE Leap 15.3 (src):    SDL-1.2.15-150000.3.19.1
SUSE Manager Server 4.1 (src):    SDL-1.2.15-150000.3.19.1
SUSE Manager Retail Branch Server 4.1 (src):    SDL-1.2.15-150000.3.19.1
SUSE Manager Proxy 4.1 (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Server for SAP 15 (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Server 15-LTSS (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    SDL-1.2.15-150000.3.19.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    SDL-1.2.15-150000.3.19.1
SUSE Enterprise Storage 7 (src):    SDL-1.2.15-150000.3.19.1
SUSE Enterprise Storage 6 (src):    SDL-1.2.15-150000.3.19.1
SUSE CaaS Platform 4.0 (src):    SDL-1.2.15-150000.3.19.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2022-04-22 19:20:10 UTC
SUSE-SU-2022:1312-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1181201,1181202,1198001
CVE References: CVE-2020-14409,CVE-2020-14410,CVE-2021-33657
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    SDL-1.2.15-15.17.1
SUSE OpenStack Cloud Crowbar 8 (src):    SDL-1.2.15-15.17.1
SUSE OpenStack Cloud 9 (src):    SDL-1.2.15-15.17.1
SUSE OpenStack Cloud 8 (src):    SDL-1.2.15-15.17.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    SDL-1.2.15-15.17.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    SDL-1.2.15-15.17.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    SDL-1.2.15-15.17.1
SUSE Linux Enterprise Server 12-SP5 (src):    SDL-1.2.15-15.17.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    SDL-1.2.15-15.17.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    SDL-1.2.15-15.17.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    SDL-1.2.15-15.17.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    SDL-1.2.15-15.17.1
HPE Helion Openstack 8 (src):    SDL-1.2.15-15.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2022-04-22 19:27:09 UTC
SUSE-SU-2022:14943-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1124825,1181201,1181202,1198001
CVE References: CVE-2019-7637,CVE-2020-14409,CVE-2020-14410,CVE-2021-33657
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    SDL-1.2.13-106.21.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    SDL-1.2.13-106.21.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    SDL-1.2.13-106.21.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    SDL-1.2.13-106.21.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.